<div class="container">
  <div class="row">
    <div class="col-md-12">
      <div class="panel panel-default">
        <div class="panel-heading">
          <h1 class="panel-title">Expediente</h1>
        </div>
        <div class="panel-body">
          <div class="row">
          <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
            <div class="btn-toolbar pull-right" role="toolbar" aria-label="Opciones de la lista de casos">
            <div class="btn-group" role="group">
            <div class="form-inline">
            <div class="form-group">
            <div class="relative">
            <?php echo form_open('Consultor/expediente/casos', 'id="busqueda-expediente" role="form"'); ?>
              <input class="form-control" type="text" name="buscador" id="buscador" />
              <button type="submit" class="btn btn-primary">Buscar</button>
            </form>
            </div>
            </div>
            </div>
            </div>
              <div class="btn-group" role="group" aria-label="Ordenar por nombre">
                <button type="button" class="btn btn-default <?=($order_by=='por-nombre' && $order_mode=='asc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/expediente/<?=$page?>/por-nombre/asc'" data-tooltip="tooltip" title="Ordenar A-Z"><span class="glyphicon glyphicon-sort-by-alphabet" aria-hidden="true"></span></button>
                <button type="button" class="btn btn-default <?=($order_by=='por-nombre' && $order_mode=='desc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/expediente/<?=$page?>/por-nombre/desc'" data-tooltip="tooltip" title="Ordenar Z-A"><span class="glyphicon glyphicon-sort-by-alphabet-alt" aria-hidden="true" ></span></button>
              </div>
              <div class="btn-group" role="group" aria-label="Ordenar por fecha">
                <button type="button" class="btn btn-default <?=($order_by=='por-fecha' && $order_mode=='asc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/expediente/<?=$page?>/por-fecha/asc'" data-tooltip="tooltip" title="Ordenar por Antiguos"><span class="glyphicon glyphicon-arrow-up" aria-hidden="true"></span><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></button>
                <button type="button" class="btn btn-default <?=($order_by=='por-fecha' && $order_mode=='desc') ? 'active' : ''; ?>" onclick="location.href= base_url() + 'consultor/expediente/<?=$page?>/por-fecha/desc'" data-tooltip="tooltip" title="Ordenar por Recientes"><span class="glyphicon glyphicon-arrow-down" aria-hidden="true"></span><span class="glyphicon glyphicon-calendar" aria-hidden="true"></span></button>
              </div>
              <div class="btn-group" role="group" aria-label="Opciones de caso">
                <button type="button" data-toggle="modal" data-target="#md-editar-caso" data-mode="new" class="btn btn-primary float"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Nuevo caso</button>
              </div>
            </div>
          </div>
          </div>
          <div class="table-responsive" style="margin-top:1%">
            <table class="table table-hover" id="search_result">
              <thead>
                <tr>
                  <th>Cliente</th>
                  <th>Fecha de apertura</th>
                  <th class="">Asunto</th>
                  <th class="">Número expediente</th>
                  <th class="">Materia</th>
                  <th class="">Tema</th>
                  <th class="">Subtema</th>
                  <th class="">Acciones</th>
                </tr>
              </thead>
              <tbody>
                <?php foreach ($listado_casos as $caso): ?>
                  <tr>
                    <td><?=$caso->apellidop.' '.$caso->apellidom.', '.$caso->nombres?></td>
                    <td><?=$caso->fechaapertura?></td>
                    <td><?=substr($caso->sinopsis, 0, 57).'...'?></td>
                    <td><?=(strlen($caso->expedientelegal) == 0) ? 'Sin expediente' : $caso->expedientelegal?></td>
                    <td><?=$caso->nombre_materia?></td>
                    <td><?=$caso->nombre_tema?></td>
                    <td><?=$caso->nombre_subtema?></td>
                    <td>
                      <button type="button" data-toggle="modal" data-target="#md-editar-caso" data-mode="edit" data-cid="<?=$caso->idcaso?>" class="btn btn-primary btn-sm " data-tooltip="tooltip" title="Ver Consulta"><span class="glyphicon glyphicon-eye-open" aria-hidden="true"></span></button>
                      <button type="button" data-toggle="modal" data-target="#md-consultas-de-caso" data-cid="<?=$caso->idcaso?>" data-pago="<?= $caso->confirmacion_pago?>" class="btn btn-success btn-sm " data-tooltip="tooltip" title="Consulta de caso"><span class="glyphicon glyphicon-list-alt" aria-hidden="true" ></span></button>
                    </td>
                  </tr>
                <?php endforeach; ?>
              </tbody>
            </table>
          </div>
        </div>
      </div>
      <div class="col-md-12 text-center">
        <?php echo $pagination; ?>
      </div>
    </div>
  </div>
</div>
</div>
</div>

<div class="modal fade" id="md-editar-caso">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 id="modal-title" class="modal-title">Nuevo caso</h4>
      </div>
      <div class="modal-body"> 
        <div class="container-fluid">
          <form id="frm-editar-caso">
            <div class="row">
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group required">
                  <label for="nombres" class="control-label">Cliente:</label>
                  <input type="text" name="nombres" id="nombres" class="form-control" value="" required="required" title="Nombre" disabled>
                </div>
                <div class="form-group required">
                  <label for="fechaapertura" class="control-label">Fecha de apertura:</label>
                  <div class="input-group date" id="fecha-apertura">
                    <input name="fechaapertura" id="fechaapertura" type="text" class="form-control" required="required" title="Fecha de apertura del caso" disabled />
                    <span class="input-group-addon">
                      <span class="glyphicon glyphicon-calendar"></span>
                    </span>
                  </div>  
                </div>

                <!-- <div class="form-group">
                  <button name="expediente" id="expediente" class="btn btn-default">Generar clave de expediente</button>
                </div> -->

                <!-- <div class="form-group">
                  <label for="expedientelegal" class="control-label">Expediente legal:</label>
                  <input type="text" name="expedientelegal" id="expedientelegal" class="form-control" value=""title="Expediente legal asignado a este caso">
                </div> -->
              </div>
              <div class="col-xs-12 col-sm-12 col-md-8 col-lg-8">
                <div class="form-group required">
                  <label for="sinopsis" class="control-label">Asunto:</label>
                  <textarea name="sinopsis" id="sinopsis" class="form-control" rows="10" required="required" disabled></textarea>
                </div>
              </div>
            </div>
            <div class="row">         
            </div>
            <input type="hidden" name="idcliente" id="idcliente" value="">
            <input type="hidden" name="idcaso" id="idcaso" value="">
            <input type="hidden" name="persona" id="persona" value="" />
            <input type="hidden" name="fecha" id="fecha" value="" />
          </div>
        </div>
        <div class="modal-footer">
          <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
          <button type="submit" class="btn btn-primary" id="guardar-cambios">Guardar</button>
        </form>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="md-consultas-de-caso">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 class="modal-title">Consultas del caso</h4>
      </div>
      <div class="modal-body">
        <div class="table-responsive">
          <table class="table table-hover" id="tabla-casos">
            <thead>
              <tr>
                <th>Asesoría solicitada</th>
                <th class="col-md-2">Fecha</th>
                <th>Materia</th>
                <th>Tema</th>
                <th>Subtema</th>
                <th>Acciones</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td></td>
              </tr>
            </tbody>
          </table>
        </div>
      </div>
      <div class="modal-footer">
        <button type="button" data-caso="" class="btn btn-primary nueva-consulta" id="nueva-consulta" onclick="nuevaConsulta()"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span> Nueva consulta</button>
        <button type="button" class="btn btn-default" data-dismiss="modal">Cerrar</button>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" id="md-nueva-consulta">
  <div class="modal-dialog modal-lg">
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true">&times;</button>
        <h4 id="modal-title" class="modal-title">Nueva consulta</h4>
      </div>
      <div class="modal-body"> 
        <div class="container-fluid">
          <form id="frm-nueva-consulta">
            <div class="row">
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group required">
                  <label for="nombres" class="control-label">Cliente:</label>
                  <input type="text" name="nombres" id="consulta-nombres" class="form-control" value="" required="required" title="Nombre">
                </div>
              </div>
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group required">
                  <label for="sinopsis" class="control-label">Caso:</label>
                  <input type="text" name="sinopsis" id="consulta-caso-sinopsis" class="form-control" value="" required="required" title="Nombre">
                </div>
              </div>
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group required">
                  <label for="fecha" class="control-label">Fecha de apertura:</label>
                  <div class="input-group date" id="consulta-fecha-group">
                    <input name="fecha" id="consulta-fecha" type="text" class="form-control" required="required" title="Fecha de la consulta" />
                    <span class="input-group-addon">
                      <span class="glyphicon glyphicon-calendar"></span>
                    </span>
                  </div>  
                </div>
              </div>
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group required">
                  <label for="materia" class="control-label">Materia:</label>
                  <select name="materia[]" id="consulta-materia" multiple class="form-control" required="required" onchange="GetComboData('consulta-materia', 'consulta-tema', 'temas', false)">
                    <option value=""></option>
                  </select>
                </div>
              </div>
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group required">
                  <label for="tema" class="control-label">Tema:</label>
                  <select name="tema[]" multiple id="consulta-tema" class="form-control" required="required" onchange="GetComboData('consulta-tema', 'consulta-subtema', 'subtemas', false)">
                    <option value=""></option>
                  </select>
                </div>
              </div>
              <div class="col-xs-12 col-sm-12 col-md-4 col-lg-4">
                <div class="form-group required">
                  <label for="subtema" class="control-label">Subtema:</label>
                  <select name="subtema[]" id="consulta-subtema" multiple class="form-control" required="required">
                    <option value=""></option>
                  </select>
                </div>
              </div>
              <div class="col-xs-12 col-sm-12 col-md-14 col-lg-4">
                <div class="form-group">
                <label class="control-label">   </label>
                  <button type="submit" name="expediente" id="expediente" class="btn btn-primary">Generar clave de expediente</button>
                </div>
              </div>

              <div class="col-xs-12 col-sm-12 col-md-12 col-lg-4">
                <div class="form-group required">
                  <label for="expedientelegal" class="control-label">Expediente legal:</label>
                  <input type="text" name="expedientelegal" id="expedientelegal" class="form-control" value="" title="Expediente legal asignado a este caso">
                </div>
              </div>
              
              
              <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12">
                <div class="form-group required">
                  <label for="contenido" class="control-label">Consulta al abogado:</label>
                  <textarea name="contenido" id="consulta-contenido" class="form-control" rows="5" required="required"></textarea>
                </div>
              </div>
            </div>
            <div class="row hidden" id="row-respuesta">
              <div class="col-md-12">
                <div class="form-group">
                  <label for="respuesta" class="control-label">Respuesta:</label>
                  <textarea disabled="disabled" name="respuesta" id="crespuesta" class="form-control" rows="9"></textarea>
                </div>
              </div>        
            </div>
            <input type="hidden" name="caso" value="" id="consulta-idcaso">
          </div>
        </div>
        <div class="modal-footer">
          <button type="submit" class="btn btn-primary" id="consulta-agregar"><span class="glyphicon glyphicon-floppy-disk" aria-hidden="true"></span> Agregar</button>
          <button type="button" class="btn btn-default" data-dismiss="modal">Cancelar</button>
        </form>
      </div>
    </div>
  </div>
</div>

<div class="notifications top-left"></div>
<!-- <div class="alert alert-dismissible alert-info" id="mensaje-confirmacion-pago">
  <button type="button" class="close" data-dismiss="alert">&times;</button>
  <strong>El cliente no ha realizado el pago, no puede realizar una Nueva Consulta</strong>
</div>
 -->